<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myRequestRequirementLabel" jhiTranslate="mpmApp.requestRequirement.home.createOrEditLabel">Create or edit a Request Requirement</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="card-deck" style="margin: 10px;">
        <div class="card">
			<div class="card-body">
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="!requestRequirement.idRequest">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" [(ngModel)]="requestRequirement.idRequest" readonly />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.requestRequirement.qty" for="field_qty">Qty</label>
                    <input currencyMask class="form-control" name="qty" id="field_qty"
                        [(ngModel)]="requestRequirement.qty"
                        [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                         />
                </div>

                <div class="form-group" *ngIf="idRequirement === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.requestRequirement.requirement" for="field_requirement">Requirement</label>
                    <select class="form-control" id="field_requirement" name="requirement" [(ngModel)]="requestRequirement.requirementId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="requirementOption.idRequirement" *ngFor="let requirementOption of requirements; trackBy: trackRequirementById">{{requirementOption.id}}</option>
                    </select>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}"
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}"
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
